summaryrefslogtreecommitdiff
path: root/ftp
diff options
context:
space:
mode:
authorDirk Meyer <dinoex@FreeBSD.org>2005-10-25 08:10:37 +0000
committerDirk Meyer <dinoex@FreeBSD.org>2005-10-25 08:10:37 +0000
commit13b369c4986db05586669f629b784ecd92b6ce3e (patch)
tree1226eb9a3f0352736293fb0e3f1be3a82177ccff /ftp
parent- require mupen64-rice only in i385 (diff)
- more fixes for rc_ng script.
Problems reported by: Marius Korsmo
Diffstat (limited to 'ftp')
-rw-r--r--ftp/vsftpd/files/vsftpd.sh.in11
1 files changed, 7 insertions, 4 deletions
diff --git a/ftp/vsftpd/files/vsftpd.sh.in b/ftp/vsftpd/files/vsftpd.sh.in
index 6f86deae4574..cbff7e00c8e1 100644
--- a/ftp/vsftpd/files/vsftpd.sh.in
+++ b/ftp/vsftpd/files/vsftpd.sh.in
@@ -27,12 +27,15 @@ required_files="%%PREFIX%%/etc/$name.conf"
vsftpd_check()
{
- cat ${required_files} | egrep -E "^listen.*=.*YES$" > /dev/null
- if [ $? = 1 ]; then
+ if grep -q "^ftp[ ]" /etc/inetd.conf
+ then
+ err 1 "ftp is already activated in /etc/inetd.conf"
+ fi
+ if ! egrep -q -i -E "^listen.*=.*YES$"
+ then
err 1 "vsftpd script need "listen=YES" on config file"
fi
- cat ${required_files} | egrep -E "^background.*=.*YES$" > /dev/null
- if [ $? = 1 ]; then
+ if ! egrep -q -i -E "^background.*=.*YES$"
err 1 "vsftpd script need "background=YES" on config file"
fi
}